# Scorch  
A music streaming application.  

## Requirements  
Python 3.8+  
Python packages: `gunicorn aiohttp aiohttp_jinja2 uvloop mutagen asyncpg`  

## Install  
```
$ psql
postgres=# CREATE DATABASE "scorch";
postgres=# CREATE USER "scorch" WITH PASSWORD 'password';
postgres=# ALTER ROLE "scorch" SET client_encoding TO 'utf8';
postgres=# ALTER ROLE "scorch" SET default_transaction_isolation TO 'read committed';
postgres=# ALTER ROLE "scorch" SET timezone TO 'UTC';
postgres=# GRANT ALL PRIVILEGES ON DATABASE "scorch" TO "scorch";
postgres=# \q
```
1. Get on the floor  
2. Walk the dinosaur  

## Usage  
`gunicorn scorch:init_app --bind localhost:5500 --worker-class aiohttp.GunicornWebWorker`  
